/* MAIN */

@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

@font-face {
    font-family: "Gill Sans";
    src: url('fonts/GillSans.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Arial Unicode MS";
    src: url('fonts/ArialUnicode.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

header {
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-size: 20px;
    display: block;
    box-sizing: border-box;
    background-color: rgb(255, 96, 0);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 65px;
    border-bottom: 1.5px;
    border-bottom-color: rgb(255, 71, 0);
    margin-bottom: 25;
    z-index: 100;
    justify-content: space-between;
}

.dark-theme {
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-size: 20px;
    color: white;
    padding-top: 75px;
    background-color: rgb(18, 18, 18);
}

.container-nav {
    display: block;
    margin-left: 10%;
    margin-right: 10%;
    padding-left: 3%;
    padding-right: 3%;
}

.container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-left: 10%;
    margin-right: 10%;
    padding-left: 3%;
    padding-right: 3%;
}

.row,
.country-row {
    display: block;
    background-color: rgb(18, 18, 18);
    border: 2px solid rgba(255, 255, 255, 0.25);
    border-radius: 12px;
    padding: 0px 30px 26.8px 30px;
    margin: 10px;
}

.row {
    width: 70%;
    height: auto;
}

.country-row {
    width: 30%;
    height: 750px;
}

#left {
    text-align: left;
    width: 50%;
}

#right {
    text-align: right;
    width: 50%;
}

a {
    color: rgba(149, 182, 219, 1.00);
    text-decoration: none;
    cursor: pointer;
}

a:hover {
    color: rgba(0, 123, 255, 1.00);
    text-decoration: underline;
    transition: 0.3s ease all;
    cursor: pointer;
}

.nav {
    list-style-image: none;
    list-style-position: outside;
    list-style-type: none;
}

.nav-r {
    list-style-image: none;
    list-style-position: outside;
    list-style-type: none;
}

.nav li {
    position: relative;
    float: left;
}

.nav-r li {
    position: relative;
    float: right;
}

.nav li a {
    margin-right: 4px;
    color: black;
    cursor: pointer;
    position: relative;
    padding: 10px 20px;
    text-align: left;
    text-decoration-line: none;
    transition: 0.1s ease all;
}

.nav li a:hover {
    background-color: rgb(201, 77, 0);
    color: white;
    border-color: rgb(201, 77, 0);
    border-radius: 10px;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 4px 6px 0 rgba(0, 0, 0, 0.19);
}

.nav-r li a {
    margin-left: 4px;
    color: black;
    cursor: pointer;
    position: relative;
    padding: 10px 20px;
    text-align: left;
    text-decoration-line: none;
}

.nav-btn {
    background-color: rgb(231, 89, 0);
    border: 1.5px solid;
    border-color: rgb(201, 77, 0);
    border-radius: 10px;
    padding: 10px 15px;
}

.nav-btn:hover {
    background-color: rgb(201, 77, 0);
    border-color: rgb(201, 77, 0);
    color: white;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 4px 6px 0 rgba(0, 0, 0, 0.19);
}

.body-header {
    margin: 30px 0px;
}

.nickname {
    font-family: 'Gill Sans', 'Arial Unicode MS', 'Trebuchet MS', sans-serif;
    text-align: center;
    font-weight: 400;
    font-size: 35px;
    /* background: url('images/nickname-bg.gif'); */
    animation: blackToGrayLoop 3.3s infinite;
    padding: 15px;
    border-radius: 12px;
}

.validator {
    font-family: 'Gill Sans', 'Arial Unicode MS', 'Trebuchet MS', sans-serif;
}

.crew-hi {
    background-color: rgba(255, 255, 0, 0.1) !important;
}

.crew-hi:hover {
    background-color: rgba(255, 255, 0, 0.225) !important;
    transition: 0.1s ease all;
}

.supporter-hi {
    background-color: rgba(0, 255, 0, 0.1) !important;
}

.supporter-hi:hover {
    background-color: rgba(0, 255, 0, 0.225) !important;
    transition: 0.1s ease all;
}

.contributor-hi {
    background-color: rgba(0, 183, 255, 0.1) !important;
}

.contributor-hi:hover {
    background-color: rgba(0, 183, 255, 0.225) !important;
    transition: 0.1s ease all;
}

a img {
    display: block;
    border: none;
}

hr {
    margin: 20px 0px;
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(44, 44, 44, 1.00), rgba(44, 44, 44, 1.00), rgba(44, 44, 44, 1.00), rgba(0, 0, 0, 0));
}

abbr {
    color: rgba(255, 170, 170, 1.00);
    text-decoration: none;
    font-style: italic;
}

footer {
    margin: 35px 0px 25px 0px;
}

.rainbow {
    background: linear-gradient(to right, #ff0000, #f65f2e, #f6ee00, #00b500, #0096f6, #55557f);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.error {
    background: linear-gradient(to right, #ff0000, #aa0000, #660000, #aa0000, #ff0000, #660000);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.crew {
    background: linear-gradient(to right, #ffff00, #dddd00, #b6b600, #dddd00, #ffff00, #dddd00);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.success,
.supporter {
    background: linear-gradient(to right, #00ff00, #00ce00, #009b00, #00ce00, #00ff00, #00ce00);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.contributor {
    background: linear-gradient(to right, #00b7ff, #009bd8, #007eaf, #009bd8, #00b7ff, #009bd8);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.gold {
    background: linear-gradient(to right, #ffd700, #ffe659, #ffd700, #ffe659);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.silver {
    background: linear-gradient(to right, #C0C0C0, #dadada, #C0C0C0, #dadada);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.bronze {
    background: linear-gradient(to right, #CD7F32, #c57729, #CD7F32, #c57729);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.fastest {
    background: linear-gradient(to right, #9900FF, #7100bd, #9900FF, #7100bd);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    animation: animation 6s ease-in-out infinite;
    background-size: 400% 100%;
}

.rowAnimation {
    border-image: linear-gradient(rgb(255, 255, 255), rgba(255, 255, 255, 0.25)) 1;
    animation: rowAnimation 2s ease-in-out 1;
    background-size: 400% 100%;
}

@keyframes animation {

    0%,
    100% {
        background-position: 0 0;
    }

    50% {
        background-position: 100% 0;
    }
}

@keyframes blackToGrayLoop {
    0% {
        background-color: black;
    }

    35% {
        background-color: black;
    }

    50% {
        background-color: grey;
    }

    85% {
        background-color: grey;
    }

    100% {
        background-color: black;
    }
}

/* FORMS */

form {
    display: flex;
    flex-direction: column;
}

input[type=text],
input[type=number],
button {
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-size: 20px;
    background-color: transparent;
    color: white;
    padding: 8px 12px;
    margin-bottom: 10px;
    box-sizing: border-box;
    border: 3px solid #FF6000;
    border-radius: 10px;
    -webkit-transition: 0.2s;
    transition: 0.2s;
    outline: none;
    width: 50%;
}

input[type=number] {
    width: 100%;
    /*todo xddddd*/
    -moz-appearance: textfield;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=text]:focus,
input[type=number]:focus {
    color: black;
    cursor: pointer;
    background-color: rgb(255, 165, 89);
    border-color: rgb(255, 165, 89);
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 4px 6px 0 rgba(0, 0, 0, 0.19)
}

input[type=text]:hover,
input[type=number]:hover {
    border-color: rgb(255, 165, 89);
}

button:hover {
    color: black;
    cursor: pointer;
    background-color: rgb(255, 165, 89);
    border-color: rgb(255, 165, 89);
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 4px 6px 0 rgba(0, 0, 0, 0.19)
}

button[type=submit] {
    width: fit-content;
}

label {
    margin-top: 10px;
}

/*questionable naming convention.
this is the leaderboard lookup stuff*/
.lbl {
    overflow: hidden;
}

.lbl .lboffset,
.lbl .lblength {
    width: 49.5%;
}

.lbuid {
    width: 99%;
    float: left;
}

.lbuid label {
    display: block;
}

.lbl .lboffset {
    float: left;
}

.lbl .lblength {
    float: right;
}

.lbl label {
    display: block;
}

table {
    width: 100%;
    float: left;
    margin: 0px;
    border-collapse: separate;
    border-spacing: 0;
    font-size: 1em;
    min-width: 400px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    border: 3px solid #FF6000;
    border-radius: 10px;
}

table thead tr {
    background-color: #FF6000;
    color: #ffffff;
    text-shadow: 0 0px 20px #000000;
    text-align: left;
}

table tbody tr:nth-child(even) {
    background-color: rgba(255, 255, 255, 0.05);
}

table tbody tr:hover {
    background-color: rgba(255, 255, 255, 0.125);
    transition: 0.1s ease all;
}

table tbody tr:last-of-type {
    border-bottom: 2px solid #FF6000;
}

table th,
table td {
    padding: 7px 5px;
}

table td:first-child,
table th:first-child {
    border-left: none;
}

/* DROPDOWN */

.dropbtn {
    background-color: rgb(231, 89, 0);
    border: 1.5px solid;
    border-color: rgb(201, 77, 0);
    border-radius: 10px;
    padding: 10px 15px;
}

.dropbtn:hover {
    background-color: rgb(201, 77, 0);
    border-color: rgb(201, 77, 0);
    color: white;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 4px 6px 0 rgba(0, 0, 0, 0.19);
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: relative;
    top: 30px;
    background-color: rgb(231, 89, 0);
    border: 1.5px solid;
    border-color: rgb(201, 77, 0);
    border-radius: 10px;
    padding: 6px 4px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 16px 12px;
    display: block;
}

.dropdown-content a:hover {
    background-color: rgb(201, 77, 0);
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropbtn {
    background-color: rgb(201, 77, 0);
    border-color: rgb(201, 77, 0);
    color: white;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.2), 0 4px 6px 0 rgba(0, 0, 0, 0.19);
}